<!--
 - Created by MarosGrajcar on 11/21/2019.
 -->

<!-- Eqt Add Table View -->
<template>

    <!--<template>
        <div class="slds-m-around_medium">
            <ul class="slds-m-around_medium">
                <template iterator:it={activeForms}>
                    <li key={it.Id}>
                        {it.Name}
                    </li>
                </template>
            </ul>
        </div>
    </template>-->

    <!--<template for:each={activeForms} for:item="form">

        <div key={form.Id}>{form.Name}</div>
    </template>-->

    <p>ADD TABLE: {recordId}</p>

    <div class="slds-scrollable_y" style="max-height:200px">

        <div class="slds-scrollable--x">
            <table class="slds-table slds-table_bordered slds-table_cell-buffer" style="background-color:#FFFFFF">
                <thead>
                <tr class="slds-text-title_caps" style="background-color:#FFFFFF">
                    <th scope="col">
                        Form Name
                    </th>
                    <th scope="col">
                        Form Status
                    </th>
                    <th scope="col">
                        Equipment Status
                    </th>
                    <th scope="col">
                        Manufacturer
                    </th>
                    <th scope="col">
                        Manufacturer Serial No
                    </th>
                    <th scope="col">
                        Model Number
                    </th>
                    <th scope="col">
                        Tag Number
                    </th>
                    <th scope="col">
                        Created Date
                    </th>
                    <th scope="col">
                        Created By
                    </th>
                    <th scope="col">
                        Action
                    </th>
                </tr>
                </thead>

                <tbody >

                <template for:each={activeForms} for:item="form">
                    <tr class="slds-hint-parent" key={form.Id}>

                        <th scope="row">
                            <a href="/">{form.Name}</a>
                        </th>


                        <td>
                            {form.Status__c}
                        </td>

                        <td>
                            {form.Equipment_Status__c}
                        </td>

                        <td>
                            {form.Manufacturer__c}
                        </td>

                        <td>
                            {form.Manufacturer_Serial_No__c}
                        </td>

                        <td>
                            {form.Model_Number__c}
                        </td>

                        <td>
                            {form.Tag_Number__c}
                        </td>

                        <td>

                            <lightning-formatted-date-time value={form.CreatedDate}
                                                           year="numeric"
                                                           month="numeric"
                                                           day="numeric">

                            </lightning-formatted-date-time>

                        </td>

                        <td>
                            <a>{form.CreatedBy.Name}</a>
                        </td>

                        <td>
                            <lightning-button-icon class="slds-align--absolute-center"
                                                   icon-name="utility:edit"
                                                   alternative-text="Edit Form"
                                                   onclick={openCreateForm}>
                            </lightning-button-icon>
                        </td>
                    </tr>
                </template>
                </tbody>
            </table>
        </div>
    </div>

    <template if:true={openModal}>
        <section class="slds-modal slds-fade-in-open">
            <div class="slds-modal__container custom-modal_wide">
                <header class="slds-modal__header">
                    <button class="slds-button slds-button_icon slds-modal__close" title="Close"
                            onclick={openCreateForm}>
                        <lightning-icon icon-name="utility:close" size="medium">
                        </lightning-icon>
                        <span class="slds-assistive-text">Close</span>
                    </button>
                    <h2 class="slds-text-heading_medium slds-hyphenate">Add Equipment Form</h2>
                </header>
                <div class="slds-modal__content slds-p-around_medium">
                    <!--<c-eqt_add_create></c-eqt_add_create>-->
                </div>
                <footer class="slds-modal__footer">
                    <lightning-button label="Cancel" variant="neutral" onclick={openCreateForm}></lightning-button>
                    <lightning-button label="Save" variant="brand" onclick={saveMethod}></lightning-button>
                </footer>
            </div>
        </section>
        <div class="slds-backdrop slds-backdrop_open"></div>
    </template>

</template>